#! /usr/bin/perl -w

# Identification:

$Prog    = "tangle0 boot";
$Version = "1.0";

# Constants:

$True  = 1;

while ($ARGV[0] =~ /^-/) {
    $_ = shift;

    /^-v$/ and do {
	print STDERR "This is $Prog (version $Version)\n";  
	$Verbose = $True;  next; };
    /^-x$/ and $ARGV[0] and do {
	my $arg = shift;
	push(@Opt2, "-x$arg");  next; };
    /^-x/ and do {
	push(@Opt2, $_);  next; };

    print STDERR "$Prog: Unknown option `$_' ignored.\n";
}

$Cmd = "./w0pre.boot @ARGV | ./w0code.boot @Opt2";
print STDERR "$Prog: Running $Cmd...\n" if $Verbose;
$status = system($Cmd)/256;

exit $status;
